<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Owner
 * Date: 16.12.11
 * Time: 10:55
 * To change this template use File | Settings | File Templates.
 */
namespace Infomodus\Upslabel\Model\Config;
class ShippingMethods extends \Infomodus\Upslabel\Helper\Config implements \Magento\Framework\Option\ArrayInterface
{
    public function toOptionArray(/*multistore*/$store=NULL/*multistore*/){
        $option = [];
        $_methods = $this->objectManager->get('Magento\Shipping\Model\Config')->getActiveCarriers(/*multistore*/$store/*multistore*/);
        foreach($_methods as $_carrierCode => $_carrier){
            if($_carrierCode !=="ups" && $_carrierCode !=="dhlint" && $_carrierCode !=="usps" && $_method = $_carrier->getAllowedMethods())  {
                if(!$_title = $this->getStoreConfig('carriers/'.$_carrierCode.'/title'/*multistore*/, $store/*multistore*/)) {
                    $_title = $_carrierCode;
                }
                foreach($_method as $_mcode => $_m){
                    $_code = $_carrierCode . '_' . $_mcode;
                    $option[] = ['label' => "(".$_title.")  ". $_m, 'value' => $_code];
                }
            }
        }
        return $option;
    }

    public function getShippingMethodsSimple(/*multistore*/$store=NULL/*multistore*/){
        $option = [];
        $_methods = $this->objectManager->get('Magento\Shipping\Model\Config')->getActiveCarriers(/*multistore*/$store/*multistore*/);
        foreach($_methods as $_carrierCode => $_carrier){
            if($_carrierCode !=="ups" && $_carrierCode !=="dhlint" && $_carrierCode !=="usps" && $_method = $_carrier->getAllowedMethods())  {
                if(!$_title = $this->getStoreConfig('carriers/'.$_carrierCode.'/title'/*multistore*/, $store/*multistore*/)) {
                    $_title = $_carrierCode;
                }
                foreach($_method as $_mcode => $_m){
                    $_code = $_carrierCode . '_' . $_mcode;
                    $option[$_code] =  "(".$_title.")  ". $_m;
                }
            }
        }
        return $option;
    }
}