<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Owner
 * Date: 16.12.11
 * Time: 10:55
 * To change this template use File | Settings | File Templates.
 */
namespace Infomodus\Upslabel\Model\Config\Pickup;
class Stores extends \Infomodus\Upslabel\Helper\Config implements \Magento\Framework\Option\ArrayInterface
{
    public function toOptionArray()
    {
        $c = [];
        $manager = $this->objectManager->get('Magento\Store\Model\StoreManagerInterface');
        foreach ($manager->getWebsites() as $website) {
            foreach ($website->getGroups() as $group) {
                $stores = $group->getStores();
                foreach ($stores as $store) {
                    $c[] = ['label' => $store->getName()." (".$website->getName()." \\ ".$group->getName().")", 'value' => $store->getId()];
                }
            }
        }

        return $c;
    }

    public function getStores()
    {
        $c = [];
        $manager = $this->objectManager->get('Magento\Store\Model\StoreManagerInterface');
        foreach ($manager->getWebsites() as $website) {
            foreach ($website->getGroups() as $group) {
                $stores = $group->getStores();
                foreach ($stores as $store) {
                    $c[$store->getId()] = $store->getName()." (".$website->getName()." \\ ".$group->getName().")";
                }
            }
        }
        return $c;
    }
}